--- old/usr/src/lib/libm/i386/src/exp10l.s	2014-11-04 19:01:58.478747933 -0500
+++ new/usr/src/lib/libm/i386/src/exp10l.s	2014-11-04 19:01:58.490341890 -0500
@@ -29,8 +29,6 @@
         .file "exp10l.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/exp2.s	2014-11-04 19:01:59.374243035 -0500
+++ new/usr/src/lib/libm/i386/src/exp2.s	2014-11-04 19:01:59.385980838 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2)
 	movl	8(%esp),%ecx		/ ecx <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/exp2f.s	2014-11-04 19:01:59.790759701 -0500
+++ new/usr/src/lib/libm/i386/src/exp2f.s	2014-11-04 19:01:59.801928666 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2f,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2f)
 	movl	4(%esp),%ecx		/ ecx <-- x
--- old/usr/src/lib/libm/i386/src/exp2l.s	2014-11-04 19:02:00.190714956 -0500
+++ new/usr/src/lib/libm/i386/src/exp2l.s	2014-11-04 19:02:00.202037910 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2l)
 	movl	12(%esp),%ecx		/ cx <--sign&bexp(x)
--- old/usr/src/lib/libm/i386/src/expl.s	2014-11-04 19:02:00.593557264 -0500
+++ new/usr/src/lib/libm/i386/src/expl.s	2014-11-04 19:02:00.604987220 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expl,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/expm1.s	2014-11-04 19:02:00.995945366 -0500
+++ new/usr/src/lib/libm/i386/src/expm1.s	2014-11-04 19:02:01.009204595 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/expm1f.s	2014-11-04 19:02:01.402264840 -0500
+++ new/usr/src/lib/libm/i386/src/expm1f.s	2014-11-04 19:02:01.413712105 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1f,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/expm1l.s	2014-11-04 19:02:01.806470661 -0500
+++ new/usr/src/lib/libm/i386/src/expm1l.s	2014-11-04 19:02:01.817838514 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/fabs.s	2014-11-04 19:02:02.210317991 -0500
+++ new/usr/src/lib/libm/i386/src/fabs.s	2014-11-04 19:02:02.221584928 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabs,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabs)
 	fldl    4(%esp)
--- old/usr/src/lib/libm/i386/src/fabsf.s	2014-11-04 19:02:02.631730247 -0500
+++ new/usr/src/lib/libm/i386/src/fabsf.s	2014-11-04 19:02:02.643140531 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabsf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabsf)
 	flds    4(%esp)
--- old/usr/src/lib/libm/i386/src/fabsl.s	2014-11-04 19:02:03.029725863 -0500
+++ new/usr/src/lib/libm/i386/src/fabsl.s	2014-11-04 19:02:03.041356267 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabsl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabsl)
 	fldt    4(%esp)
--- old/usr/src/lib/libm/i386/src/finitef.s	2014-11-04 19:02:03.424937252 -0500
+++ new/usr/src/lib/libm/i386/src/finitef.s	2014-11-04 19:02:03.436344505 -0500
@@ -29,8 +29,6 @@
         .file "finitef.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(finitef,function)
-#include "libm_synonyms.h"
 
 	ENTRY(finitef)
         movl    4(%esp),%eax		/ eax <-- x
--- old/usr/src/lib/libm/i386/src/finitel.s	2014-11-04 19:02:04.725936538 -0500
+++ new/usr/src/lib/libm/i386/src/finitel.s	2014-11-04 19:02:04.961308018 -0500
@@ -29,8 +29,6 @@
         .file "finitel.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(finitel,function)
-#include "libm_synonyms.h"
 
 	ENTRY(finitel)
 	movl    12(%esp),%eax		/ %ax <-- sign&bexp(x)
--- old/usr/src/lib/libm/i386/src/floor.s	2014-11-04 19:02:05.372775937 -0500
+++ new/usr/src/lib/libm/i386/src/floor.s	2014-11-04 19:02:05.384119906 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(floor,function)
-#include "libm_synonyms.h"
 
 	ENTRY(floor)
 	subl	$8,%esp
--- old/usr/src/lib/libm/i386/src/floorl.s	2014-11-04 19:02:05.782497273 -0500
+++ new/usr/src/lib/libm/i386/src/floorl.s	2014-11-04 19:02:05.795655460 -0500
@@ -31,7 +31,6 @@
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ceill,function)
 LIBM_ANSI_PRAGMA_WEAK(floorl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(ceill)
 	subl	$8,%esp
--- old/usr/src/lib/libm/i386/src/fmod.s	2014-11-04 19:02:06.183727812 -0500
+++ new/usr/src/lib/libm/i386/src/fmod.s	2014-11-04 19:02:06.195272995 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmod,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(fmod)
--- old/usr/src/lib/libm/i386/src/fmodf.s	2014-11-04 19:02:06.583946965 -0500
+++ new/usr/src/lib/libm/i386/src/fmodf.s	2014-11-04 19:02:06.595656774 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodf)
 	flds	8(%esp)			/ load arg y
--- old/usr/src/lib/libm/i386/src/fmodl.s	2014-11-04 19:02:06.978152680 -0500
+++ new/usr/src/lib/libm/i386/src/fmodl.s	2014-11-04 19:02:06.989594615 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodl)
 	fldt	16(%esp)		/ load arg y
--- old/usr/src/lib/libm/i386/src/hypot.s	2014-11-04 19:02:07.377554913 -0500
+++ new/usr/src/lib/libm/i386/src/hypot.s	2014-11-04 19:02:07.388917768 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(hypot,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 #undef fabs
--- old/usr/src/lib/libm/i386/src/hypotf.s	2014-11-04 19:02:07.778425027 -0500
+++ new/usr/src/lib/libm/i386/src/hypotf.s	2014-11-04 19:02:07.789927000 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(hypotf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 #undef fabs
--- old/usr/src/lib/libm/i386/src/ieee_funcl.s	2014-11-04 19:02:08.179059718 -0500
+++ new/usr/src/lib/libm/i386/src/ieee_funcl.s	2014-11-04 19:02:08.190547879 -0500
@@ -29,12 +29,6 @@
         .file "ieee_funcl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(isinfl,function)
-LIBM_ANSI_PRAGMA_WEAK(isnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(issubnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(iszerol,function)
-LIBM_ANSI_PRAGMA_WEAK(signbitl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(isinfl)
 	movl	12(%esp),%eax		/ ax <-- sign and bexp of x 
--- old/usr/src/lib/libm/i386/src/ilogb.s	2014-11-04 19:02:08.925006293 -0500
+++ new/usr/src/lib/libm/i386/src/ilogb.s	2014-11-04 19:02:08.949582698 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogb,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/ilogbf.s	2014-11-04 19:02:09.507733189 -0500
+++ new/usr/src/lib/libm/i386/src/ilogbf.s	2014-11-04 19:02:09.519152058 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogbf,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/ilogbl.s	2014-11-04 19:02:09.906834936 -0500
+++ new/usr/src/lib/libm/i386/src/ilogbl.s	2014-11-04 19:02:09.918193352 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogbl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/isnan.s	2014-11-04 19:02:10.307956929 -0500
+++ new/usr/src/lib/libm/i386/src/isnan.s	2014-11-04 19:02:10.319318194 -0500
@@ -39,7 +39,6 @@
 	.weak isnand
 	.type isnand,@function
 isnand	= __isnan
-#include "libm_synonyms.h"
 
 	ENTRY(isnan)
 	movl    8(%esp),%eax		/ eax <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/isnanf.s	2014-11-04 19:02:10.705728445 -0500
+++ new/usr/src/lib/libm/i386/src/isnanf.s	2014-11-04 19:02:10.717124659 -0500
@@ -33,7 +33,6 @@
 	.weak _isnanf
 	.type _isnanf,@function
 _isnanf	= __isnanf
-#include "libm_synonyms.h"
 
 	ENTRY(isnanf)
 	movl    4(%esp),%eax		/ eax <-- x
--- old/usr/src/lib/libm/i386/src/isnanl.s	2014-11-04 19:02:11.104977718 -0500
+++ new/usr/src/lib/libm/i386/src/isnanl.s	2014-11-04 19:02:11.116293534 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(isnanl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(isnanl)
 	movl    12(%esp),%eax		/ ax <-- sign bit and exp
--- old/usr/src/lib/libm/i386/src/llrint.s	2014-11-04 19:02:11.519315168 -0500
+++ new/usr/src/lib/libm/i386/src/llrint.s	2014-11-04 19:02:11.530857887 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(llrint,function)
-#include "libm_synonyms.h"
 
 	ENTRY(llrint)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/llrintf.s	2014-11-04 19:02:11.933034339 -0500
+++ new/usr/src/lib/libm/i386/src/llrintf.s	2014-11-04 19:02:11.944419370 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(llrintf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(llrintf)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/llrintl.s	2014-11-04 19:02:12.331743884 -0500
+++ new/usr/src/lib/libm/i386/src/llrintl.s	2014-11-04 19:02:12.343566296 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(llrintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(llrintl)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/log.s	2014-11-04 19:02:12.733182025 -0500
+++ new/usr/src/lib/libm/i386/src/log.s	2014-11-04 19:02:12.744566408 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(log)
--- old/usr/src/lib/libm/i386/src/log10.s	2014-11-04 19:02:13.134988610 -0500
+++ new/usr/src/lib/libm/i386/src/log10.s	2014-11-04 19:02:13.146293900 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(log10)
--- old/usr/src/lib/libm/i386/src/log10f.s	2014-11-04 19:02:13.535620188 -0500
+++ new/usr/src/lib/libm/i386/src/log10f.s	2014-11-04 19:02:13.548225804 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10f,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(log10f)
--- old/usr/src/lib/libm/i386/src/log10l.s	2014-11-04 19:02:14.159801102 -0500
+++ new/usr/src/lib/libm/i386/src/log10l.s	2014-11-04 19:02:14.442332303 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log10l)
 	fldlg2	
--- old/usr/src/lib/libm/i386/src/log2.s	2014-11-04 19:02:14.847413453 -0500
+++ new/usr/src/lib/libm/i386/src/log2.s	2014-11-04 19:02:14.858987171 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/i386/src/log2f.s	2014-11-04 19:02:15.243651914 -0500
+++ new/usr/src/lib/libm/i386/src/log2f.s	2014-11-04 19:02:15.255011875 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2f,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2f)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/i386/src/log2l.s	2014-11-04 19:02:15.641674876 -0500
+++ new/usr/src/lib/libm/i386/src/log2l.s	2014-11-04 19:02:15.653138486 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2l)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/i386/src/logl.s	2014-11-04 19:02:16.040327699 -0500
+++ new/usr/src/lib/libm/i386/src/logl.s	2014-11-04 19:02:16.052996643 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(logl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(logl)
 	fldln2	
--- old/usr/src/lib/libm/i386/src/lrint.s	2014-11-04 19:02:16.436958505 -0500
+++ new/usr/src/lib/libm/i386/src/lrint.s	2014-11-04 19:02:16.448221070 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lrint,function)
-#include "libm_synonyms.h"
 
 	ENTRY(lrint)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/lrintf.s	2014-11-04 19:02:16.833818669 -0500
+++ new/usr/src/lib/libm/i386/src/lrintf.s	2014-11-04 19:02:16.845194279 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lrintf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(lrintf)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/lrintl.s	2014-11-04 19:02:17.230377620 -0500
+++ new/usr/src/lib/libm/i386/src/lrintl.s	2014-11-04 19:02:17.241750494 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lrintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(lrintl)
 	movl	%esp,%ecx
--- old/usr/src/lib/libm/i386/src/lround.s	2014-11-04 19:02:17.639244085 -0500
+++ new/usr/src/lib/libm/i386/src/lround.s	2014-11-04 19:02:17.650496243 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lround,function)
-#include "libm_synonyms.h"
 #undef fabs
 
 	.section .rodata
--- old/usr/src/lib/libm/i386/src/lroundl.s	2014-11-04 19:02:18.051725828 -0500
+++ new/usr/src/lib/libm/i386/src/lroundl.s	2014-11-04 19:02:18.063362306 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(lroundl,function)
-#include "libm_synonyms.h"
 #undef fabs
 
 	.section .rodata
--- old/usr/src/lib/libm/i386/src/nextafter.s	2014-11-04 19:02:18.450170681 -0500
+++ new/usr/src/lib/libm/i386/src/nextafter.s	2014-11-04 19:02:18.461546814 -0500
@@ -33,7 +33,6 @@
 	.weak _nextafter
 	.type _nextafter,@function
 _nextafter	= __nextafter
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	.data
--- old/usr/src/lib/libm/i386/src/nextafterf.s	2014-11-04 19:02:19.088597721 -0500
+++ new/usr/src/lib/libm/i386/src/nextafterf.s	2014-11-04 19:02:19.100431362 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(nextafterf,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/nextafterl.s	2014-11-04 19:02:19.490057306 -0500
+++ new/usr/src/lib/libm/i386/src/nextafterl.s	2014-11-04 19:02:19.501548285 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(nextafterl,function)
-#include "libm_synonyms.h"
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/nexttowardl.s	2014-11-04 19:02:19.895339334 -0500
+++ new/usr/src/lib/libm/i386/src/nexttowardl.s	2014-11-04 19:02:19.906867075 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(nexttowardl,function)
-#include "libm_synonyms.h"
 
 	.section .rodata
 	.align	4
--- old/usr/src/lib/libm/i386/src/pow.s	2014-11-04 19:02:20.302112289 -0500
+++ new/usr/src/lib/libm/i386/src/pow.s	2014-11-04 19:02:20.313796190 -0500
@@ -59,7 +59,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(pow,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "xpg6.h"
 
--- old/usr/src/lib/libm/i386/src/powf.s	2014-11-04 19:02:20.744122750 -0500
+++ new/usr/src/lib/libm/i386/src/powf.s	2014-11-04 19:02:20.755461499 -0500
@@ -58,7 +58,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(powf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "xpg6.h"
 
--- old/usr/src/lib/libm/i386/src/powl.s	2014-11-04 19:02:21.172739395 -0500
+++ new/usr/src/lib/libm/i386/src/powl.s	2014-11-04 19:02:21.184095928 -0500
@@ -55,7 +55,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(powl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 #undef fabs
--- old/usr/src/lib/libm/i386/src/remainder.s	2014-11-04 19:02:21.596948444 -0500
+++ new/usr/src/lib/libm/i386/src/remainder.s	2014-11-04 19:02:21.608317515 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainder,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remainder)
--- old/usr/src/lib/libm/i386/src/remainderf.s	2014-11-04 19:02:21.995163963 -0500
+++ new/usr/src/lib/libm/i386/src/remainderf.s	2014-11-04 19:02:22.008751929 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderf)
 	flds	8(%esp)			/ load arg y
--- old/usr/src/lib/libm/i386/src/remainderl.s	2014-11-04 19:02:22.396298760 -0500
+++ new/usr/src/lib/libm/i386/src/remainderl.s	2014-11-04 19:02:22.407493383 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderl)
 	fldt	16(%esp)		/ load arg y
--- old/usr/src/lib/libm/i386/src/remquo.s	2014-11-04 19:02:22.797233863 -0500
+++ new/usr/src/lib/libm/i386/src/remquo.s	2014-11-04 19:02:22.808469381 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquo,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remquo)
--- old/usr/src/lib/libm/i386/src/remquof.s	2014-11-04 19:02:23.196634556 -0500
+++ new/usr/src/lib/libm/i386/src/remquof.s	2014-11-04 19:02:23.207867923 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquof,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remquof)
--- old/usr/src/lib/libm/i386/src/remquol.s	2014-11-04 19:02:23.916851218 -0500
+++ new/usr/src/lib/libm/i386/src/remquol.s	2014-11-04 19:02:23.939028678 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquol,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remquol)
--- old/usr/src/lib/libm/i386/src/rint.s	2014-11-04 19:02:24.613049747 -0500
+++ new/usr/src/lib/libm/i386/src/rint.s	2014-11-04 19:02:24.624282816 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rint,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rint)
 	fldl	4(%esp)			/ load x
--- old/usr/src/lib/libm/i386/src/rintf.s	2014-11-04 19:02:25.008540092 -0500
+++ new/usr/src/lib/libm/i386/src/rintf.s	2014-11-04 19:02:25.019936333 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rintf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rintf)
 	flds	4(%esp)			/ load x
--- old/usr/src/lib/libm/i386/src/rintl.s	2014-11-04 19:02:25.406557629 -0500
+++ new/usr/src/lib/libm/i386/src/rintl.s	2014-11-04 19:02:25.418107083 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rintl)
 	fldt	4(%esp)			/ load x
--- old/usr/src/lib/libm/i386/src/rndintl.s	2014-11-04 19:02:25.802733594 -0500
+++ new/usr/src/lib/libm/i386/src/rndintl.s	2014-11-04 19:02:25.814264664 -0500
@@ -29,11 +29,7 @@
         .file "rndintl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(aintl,function)
-LIBM_ANSI_PRAGMA_WEAK(irintl,function)
-LIBM_ANSI_PRAGMA_WEAK(anintl,function)
-LIBM_ANSI_PRAGMA_WEAK(nintl,function)
-#include "libm_synonyms.h"
+
 #undef fabs
 
 	ENTRY(aintl)
--- old/usr/src/lib/libm/i386/src/round.s	2014-11-04 19:02:26.207397778 -0500
+++ new/usr/src/lib/libm/i386/src/round.s	2014-11-04 19:02:26.218890015 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(round,function)
-#include "libm_synonyms.h"
 #undef fabs
 
 	.section .rodata
--- old/usr/src/lib/libm/i386/src/roundl.s	2014-11-04 19:02:26.616240102 -0500
+++ new/usr/src/lib/libm/i386/src/roundl.s	2014-11-04 19:02:26.627658253 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(roundl,function)
-#include "libm_synonyms.h"
 #undef fabs
 
 	.section .rodata
--- old/usr/src/lib/libm/i386/src/scalbln.s	2014-11-04 19:02:27.032889393 -0500
+++ new/usr/src/lib/libm/i386/src/scalbln.s	2014-11-04 19:02:27.045549442 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbln,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbln)
 	fildl	12(%esp)		/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalblnf.s	2014-11-04 19:02:27.430261942 -0500
+++ new/usr/src/lib/libm/i386/src/scalblnf.s	2014-11-04 19:02:27.441753312 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalblnf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalblnf)
 	fildl	8(%esp)			/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalblnl.s	2014-11-04 19:02:27.826142607 -0500
+++ new/usr/src/lib/libm/i386/src/scalblnl.s	2014-11-04 19:02:27.837555813 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalblnl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalblnl)
 	fildl	16(%esp)		/ convert 32-bit integer N
--- old/usr/src/lib/libm/i386/src/scalbn.s	2014-11-04 19:02:28.224483799 -0500
+++ new/usr/src/lib/libm/i386/src/scalbn.s	2014-11-04 19:02:28.236039588 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbn,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbn)
 	fildl	12(%esp)		/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalbnf.s	2014-11-04 19:02:28.933198016 -0500
+++ new/usr/src/lib/libm/i386/src/scalbnf.s	2014-11-04 19:02:28.950217194 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbnf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbnf)
 	fildl	8(%esp)			/ convert N to extended
--- old/usr/src/lib/libm/i386/src/scalbnl.s	2014-11-04 19:02:29.567080793 -0500
+++ new/usr/src/lib/libm/i386/src/scalbnl.s	2014-11-04 19:02:29.578547987 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbnl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbnl)
 	fildl	16(%esp)		/ convert 32-bit integer N
--- old/usr/src/lib/libm/i386/src/sin.s	2014-11-04 19:02:29.973419822 -0500
+++ new/usr/src/lib/libm/i386/src/sin.s	2014-11-04 19:02:29.984699087 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sin,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(sin)
--- old/usr/src/lib/libm/i386/src/sincos.s	2014-11-04 19:02:30.373774382 -0500
+++ new/usr/src/lib/libm/i386/src/sincos.s	2014-11-04 19:02:30.385068312 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sincos,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(sincos)
--- old/usr/src/lib/libm/i386/src/sqrtl.s	2014-11-04 19:02:30.771813095 -0500
+++ new/usr/src/lib/libm/i386/src/sqrtl.s	2014-11-04 19:02:30.783054928 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sqrtl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(sqrtl)
 	fldt	4(%esp)
--- old/usr/src/lib/libm/i386/src/tan.s	2014-11-04 19:02:31.170770095 -0500
+++ new/usr/src/lib/libm/i386/src/tan.s	2014-11-04 19:02:31.182093179 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(tan,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(tan)
--- old/usr/src/lib/libm/i386/src/trunc.s	2014-11-04 19:02:31.570765671 -0500
+++ new/usr/src/lib/libm/i386/src/trunc.s	2014-11-04 19:02:31.582102873 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(trunc,function)
-#include "libm_synonyms.h"
 
 	ENTRY(trunc)
 	movl	%esp,%eax
--- old/usr/src/lib/libm/i386/src/truncl.s	2014-11-04 19:02:31.966692209 -0500
+++ new/usr/src/lib/libm/i386/src/truncl.s	2014-11-04 19:02:31.977941441 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(truncl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(truncl)
 	movl	%esp,%eax
--- old/usr/src/lib/libm/sparc/src/copysign.S	2014-11-04 19:02:32.383676817 -0500
+++ new/usr/src/lib/libm/sparc/src/copysign.S	2014-11-04 19:02:32.395107156 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysign,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysign)
 	sethi	%hi(0x80000000),%o3
--- old/usr/src/lib/libm/sparc/src/fabs.S	2014-11-04 19:02:32.796007449 -0500
+++ new/usr/src/lib/libm/sparc/src/fabs.S	2014-11-04 19:02:32.811859801 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabs,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabs)
 	sethi	%hi(0x80000000),%o2
--- old/usr/src/lib/libm/sparc/src/nextafter.S	2014-11-04 19:02:33.201686453 -0500
+++ new/usr/src/lib/libm/sparc/src/nextafter.S	2014-11-04 19:02:33.213216409 -0500
@@ -33,7 +33,6 @@
 	.weak _nextafter
 	.type _nextafter,#function
 _nextafter	= __nextafter
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	RO_DATA
--- old/usr/src/lib/libmvec/Makefile.com	2014-11-04 19:02:33.841996113 -0500
+++ new/usr/src/lib/libmvec/Makefile.com	2014-11-04 19:02:33.854321744 -0500
@@ -93,7 +93,6 @@
 		vz_exp_.o \
 		vz_log_.o \
 		vz_pow_.o \
-		#end
 
 mvecvisCOBJS	= \
 		__vTBL_atan1.o \
@@ -109,7 +108,6 @@
 		__vsinbigf.o \
 		__vsincosbig.o \
 		__vsincosbigf.o \
-		#end
 
 mvecvisSOBJS	= \
 		__vatan.o \
@@ -136,7 +134,6 @@
 		__vsinf.o \
 		__vsqrt.o \
 		__vsqrtf.o \
-		#end
 
 mvecvis2COBJS	= \
 		__vTBL_sincos.o \
@@ -147,14 +144,12 @@
 		__vrem_pio2m.o \
 		__vsinbig.o \
 		__vsinbig_ultra3.o \
-		#end
 
 mvecvis2SOBJS	= \
 		__vcos_ultra3.o \
 		__vlog_ultra3.o \
 		__vsin_ultra3.o \
 		__vsqrtf_ultra3.o \
-		#end
 
 include		$(SRC)/lib/Makefile.lib
 include		$(SRC)/lib/Makefile.rootfs
@@ -162,7 +157,7 @@
 
 LIBS		= $(DYNLIB)
 SRCDIR		= ../common/
-DYNFLAGS	+= -zignore
+DYNFLAGS	+= $(ZIGNORE)
 
 LINTERROFF	= -erroff=E_FP_DIVISION_BY_ZERO 
 LINTERROFF	+= -erroff=E_FP_INVALID
@@ -188,14 +183,13 @@
 
 SRCS_mvec_i386 = \
 	../common/__vsqrtf.c \
-	#end
 
 SRCS_mvec_sparc = \
 	$(SRCS_mvec_i386) \
-	#end
+
 SRCS_mvec_sparcv9 = \
 	$(SRCS_mvec_i386) \
-	#end
+
 
 SRCS_mvec = \
 	$(SRCS_mvec_$(TARGETMACH)) \
@@ -275,7 +269,6 @@
 	../common/vz_exp_.c \
 	../common/vz_log_.c \
 	../common/vz_pow_.c \
-	#end
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libmvec/common/__vhypot.c	2014-11-04 19:02:34.858733293 -0500
+++ new/usr/src/lib/libmvec/common/__vhypot.c	2014-11-04 19:02:34.870382230 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -66,8 +65,6 @@
  *	results.
  */
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
 extern double fabs(double);
 
@@ -394,4 +391,3 @@
 		pz += stridez;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vhypotf.c	2014-11-04 19:02:35.346620932 -0500
+++ new/usr/src/lib/libmvec/common/__vhypotf.c	2014-11-04 19:02:35.358799556 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef __RESTRICT
@@ -36,8 +35,6 @@
 #define restrict
 #endif
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
 
 void
--- old/usr/src/lib/libmvec/common/__vrhypot.c	2014-11-04 19:02:35.769231055 -0500
+++ new/usr/src/lib/libmvec/common/__vrhypot.c	2014-11-04 19:02:35.780833963 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -67,10 +66,7 @@
  *	results.
  */
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
-
 extern double fabs(double);
 
 static const int __vlibm_TBL_rhypot[] = {
@@ -428,4 +424,3 @@
 		}
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vrhypotf.c	2014-11-04 19:02:36.204684768 -0500
+++ new/usr/src/lib/libmvec/common/__vrhypotf.c	2014-11-04 19:02:36.216282231 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -219,8 +218,6 @@
  5.0393700787401574104e-01, 1.7747130188322274291e-01,
 };
 
-#define	fabsf	__fabsf
-
 extern float fabsf(float);
 
 static const double
@@ -462,4 +459,3 @@
 		pz += stridez;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vrsqrt.c	2014-11-04 19:02:36.635666511 -0500
+++ new/usr/src/lib/libmvec/common/__vrsqrt.c	2014-11-04 19:02:36.647049557 -0500
@@ -28,7 +28,6 @@
  */
 
 #include <sys/isa_defs.h>
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef _LITTLE_ENDIAN
@@ -83,8 +82,6 @@
  *	results.
  */
 
-#define sqrt __sqrt
-
 extern double sqrt (double);
 extern const double __vlibm_TBL_rsqrt[];
 
@@ -412,4 +409,3 @@
 		py += stridey;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vrsqrtf.c	2014-11-04 19:02:37.062823403 -0500
+++ new/usr/src/lib/libmvec/common/__vrsqrtf.c	2014-11-04 19:02:37.074520636 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef __RESTRICT
@@ -71,8 +70,6 @@
  *	whole float type range.
  */
 
-#define sqrtf __sqrtf
-
 extern float sqrtf(float);
 
 static const double __TBL_rsqrtf[] = {
@@ -503,4 +500,3 @@
 		py += stridey;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vsqrt.c	2014-11-04 19:02:37.504147175 -0500
+++ new/usr/src/lib/libmvec/common/__vsqrt.c	2014-11-04 19:02:37.515605638 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
 #ifdef __RESTRICT
@@ -36,8 +35,6 @@
 #define restrict
 #endif
 
-#define sqrt __sqrt
-
 extern double sqrt(double);
 
 void
@@ -50,4 +47,3 @@
 		y += stridey;
 	}
 }
-
--- old/usr/src/lib/libmvec/common/__vsqrtf.c	2014-11-04 19:02:37.904095871 -0500
+++ new/usr/src/lib/libmvec/common/__vsqrtf.c	2014-11-04 19:02:37.915501467 -0500
@@ -33,11 +33,8 @@
 #define restrict
 #endif
 
-#include "libm_synonyms.h"
 #include "libm_inlines.h"
 
-#define sqrtf __sqrtf
-
 extern float sqrtf(float);
 
 void
@@ -50,4 +47,3 @@
 		y += stridey;
 	}
 }
-
